summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBernhard Posselt <dev@bernhard-posselt.com>2015-08-07 15:10:52 +0200
committerBernhard Posselt <dev@bernhard-posselt.com>2015-08-07 15:10:52 +0200
commit6dd09a62800f4907a4b25b8647698c0930f98b11 (patch)
treef538e6c68ed9a66f7ce1ad42bcb50888de720bdd
parentc4b8aa5eab2acae0590fe29b0847a07de2040533 (diff)
add empty test to not fail
-rw-r--r--.travis.yml3
-rwxr-xr-xbin/git/hooks/pre-commit3
-rw-r--r--tests/integration/db/FeedMapperTest.php1
3 files changed, 4 insertions, 3 deletions
diff --git a/.travis.yml b/.travis.yml
index 6325a5ebd..7508bff37 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -17,8 +17,7 @@ matrix:
env:
matrix:
- - DB=mysql
- - CORE_BRANCH=stable8.1
+ - DB=mysql CORE_BRANCH=stable8.1
before_install:
# get a newer node.js version
diff --git a/bin/git/hooks/pre-commit b/bin/git/hooks/pre-commit
index 881895787..1b1e16bce 100755
--- a/bin/git/hooks/pre-commit
+++ b/bin/git/hooks/pre-commit
@@ -1,5 +1,8 @@
#!/bin/bash
+# exit if any test fails
+set -e
+
phpunit -c phpunit.xml
phpunit -c phpunit.integration.xml
cd js
diff --git a/tests/integration/db/FeedMapperTest.php b/tests/integration/db/FeedMapperTest.php
index 82e4fbf70..3f554fcfe 100644
--- a/tests/integration/db/FeedMapperTest.php
+++ b/tests/integration/db/FeedMapperTest.php
@@ -17,7 +17,6 @@ class FeedMapperTest extends NewsIntegrationTest {
public function testFind () {
- $this->assertFalse(true);
}